Bug 613635 - “connection.UEPConnection instance “ displays while availability check
Summary: “connection.UEPConnection instance “ displays while availability check
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager   
(Show other bugs)
Version: 6.1
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Bryan Kearney
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 568421
TreeView+ depends on / blocked
 
Reported: 2010-07-12 13:24 UTC by spandey
Modified: 2015-04-23 23:56 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 13:37:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description spandey 2010-07-12 13:24:08 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
100%

Prerequisites 
Candlepin : IT,standalone 
Client : Rhel 6 with sm version 67

Steps to repro : 
Login to client console with valid credentials 
execute followig command on console to display available entitlement 

subscription-manager-cli list –available

Expected Result : 
Proper and readable msg should display on console 

Actual Result : 
“connection.UEPConnection instance “ display with available entitlement

Comment 2 John Sefler 2010-07-14 20:59:11 UTC
Sample output when all subscription pools have been subscribed to...

# subscription-manager-cli list --available
647f4254-e89f-4cce-96cf-80a398eb10ea <connection.UEPConnection instance at 0x1314c20>
No Available subscription pools to list


Is this <connection.UEPConnection instance at 0x1314c20> output line someone's leftover debugging?

Comment 3 RHEL Product and Program Management 2010-07-15 14:25:55 UTC
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Comment 5 John Sefler 2010-07-22 22:22:44 UTC
Please put back ON_QA *after* a new rpm is built.

Comment 6 Ajay Kumar Nadathur Sreenivasan 2010-07-26 14:43:10 UTC
commit 3c7ec01bdb9169c8a5651983e519a66563873900 - print statements removed

Comment 7 John Sefler 2010-07-26 15:44:51 UTC
Please put back ON_QA ***AFTER*** a new rpm is built.

Comment 8 wes hayutin 2010-08-09 21:53:18 UTC
[root@client02-rhel6-beta2 src]# git show
commit 4a5305968e771b18bc0db804d323ce1f83c10176


[root@client02-rhel6-beta2 src]# ./subscription-manager-cli list --available
5d149d64-8ec5-42e4-94b5-d4353c4300ff
+-------------------------------------------+
    Available Subscriptions
+-------------------------------------------+


ProductName:       	RHEL for Physical Servers ,2 Sockets, L1-L3, Premium Support
ProductId:         	MKT-rhel-physical-servers-only
PoolId:            	6                        
Quantity:          	10                       
Expires:           	2011-08-08

Comment 9 John Sefler 2010-10-12 14:02:17 UTC
VERIFICATION...
[root@jsefler-rhel6-client01 ~]# rpm -q subscription-manager
subscription-manager-0.91-1.git.9.e5b3efb.fc12.i386


[root@jsefler-rhel6-client01 ~]# subscription-manager-cli register --username=testuser1 --password=password
3a8ab43d-bb85-4636-b959-351bf8bd7110 testuser1
[root@jsefler-rhel6-client01 ~]# subscription-manager-cli list --available
+-------------------------------------------+
    Available Subscriptions
+-------------------------------------------+


ProductName:       	RHEL for Physical Servers ,4 Sockets, L1-L3, Premium Support
ProductId:         	MKT-rhel-physical-2-sockets-premium
PoolId:            	ff8080812b9f7604012b9f773cd300d0
Quantity:          	10                       
Expires:           	2011-11-11               


Moving to VERIFIED - no hash/debug is no longer rendered on list --available

Comment 11 errata-xmlrpc 2011-05-19 13:37:38 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.